curl --request PUT \
--url https://api.paxos.com/v2/transfer/fiat-accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fiat_account_owner": {
"person_details": {
"first_name": "John",
"last_name": "Smith"
}
}
}
'{
"id": "dde1b3c5-d02a-48f6-8d11-16b4f532ea49",
"ref_id": "test_ref_id_1",
"identity_id": "c6ea91da-8f33-4545-9bdf-3cf29b4041d7",
"account_id": "91f91384-30d4-46c2-9118-7f3cec676a2c",
"fiat_account_owner": {
"person_details": {
"first_name": "John",
"last_name": "Smith"
},
"fiat_network_instructions": {
"wire": {
"account_number": "12345678",
"fiat_account_owner_address": {
"country": "USA",
"address1": "456 Main Street, NY",
"city": "New York",
"province": "NY",
"address2": "",
"zip_code": "10101"
},
"routing_details": {
"routing_number_type": "ABA",
"routing_number": "123456789",
"bank_name": "Customers Bank",
"bank_address": {
"country": "USA",
"address1": "123 Bank Street",
"city": "New York",
"province": "NY",
"address2": "",
"zip_code": "10101"
}
}
},
"status": "PENDING",
"metadata": {
"test_ref_id": "47aa7538-e2d2-47b3-8600-44a7965dd357",
"transaction_attempt": 1
}
}
},
"created_at": "2023-09-24T14:15:22Z",
"updated_at": "2023-09-24T14:15:22Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "fiat_account_owner cannot be changed from person to institution"
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "identity_id forbidden for 1st-Party ledgering. See: https://docs.paxos.com/crypto-brokerage/ledger-type"
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "fiat_account with id 2d929a0d-e1e3-4781-b7f8-7b34e66j783 not found"
}Update Fiat Account
Change an existing value or add a new value on one or more fields for the given Fiat Account and return the modified Fiat Account in PENDING status.
Update fields in either fiat_account_owner.person_details or fiat_account_owner.institution_details.
Attempts to convert the fiat_account_owner type results in an error.
Empty strings or null values are ignored.
Upon successful response, Paxos initiates an automated review of the requested changes and then either sets the status to APPROVED or REJECTED.
Occasionally, a manual review may be required.
Use Get Fiat Account to check for status changes.
curl --request PUT \
--url https://api.paxos.com/v2/transfer/fiat-accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fiat_account_owner": {
"person_details": {
"first_name": "John",
"last_name": "Smith"
}
}
}
'{
"id": "dde1b3c5-d02a-48f6-8d11-16b4f532ea49",
"ref_id": "test_ref_id_1",
"identity_id": "c6ea91da-8f33-4545-9bdf-3cf29b4041d7",
"account_id": "91f91384-30d4-46c2-9118-7f3cec676a2c",
"fiat_account_owner": {
"person_details": {
"first_name": "John",
"last_name": "Smith"
},
"fiat_network_instructions": {
"wire": {
"account_number": "12345678",
"fiat_account_owner_address": {
"country": "USA",
"address1": "456 Main Street, NY",
"city": "New York",
"province": "NY",
"address2": "",
"zip_code": "10101"
},
"routing_details": {
"routing_number_type": "ABA",
"routing_number": "123456789",
"bank_name": "Customers Bank",
"bank_address": {
"country": "USA",
"address1": "123 Bank Street",
"city": "New York",
"province": "NY",
"address2": "",
"zip_code": "10101"
}
}
},
"status": "PENDING",
"metadata": {
"test_ref_id": "47aa7538-e2d2-47b3-8600-44a7965dd357",
"transaction_attempt": 1
}
}
},
"created_at": "2023-09-24T14:15:22Z",
"updated_at": "2023-09-24T14:15:22Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "fiat_account_owner cannot be changed from person to institution"
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "identity_id forbidden for 1st-Party ledgering. See: https://docs.paxos.com/crypto-brokerage/ledger-type"
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "fiat_account with id 2d929a0d-e1e3-4781-b7f8-7b34e66j783 not found"
}transfer:write_fiat_account
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Path Parameters
The Paxos fiat account ID (UUID).
The Fiat Account ID (id) is provided in the response of the Create Fiat Account.
Use this ID to retrieve the instructions using Get Fiat Account & List Fiat Accounts.
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optional client-specified metadata. Up to 6 key/value pairs may be provided. Each key and value must be less than or equal to 100 characters.
Show child attributes
Show child attributes
Response
A successful response.
The Paxos FiatAccount ID (UUID).
Show child attributes
Show child attributes
PENDING, APPROVED, REJECTED The time at which this FiatAccount was created.
The optional client-specified ID (for idempotence).
The Paxos Identity (identity_id) of the user's FiatAccount.
The Paxos Account (account_id) of the user's FiatAccount.
Required only for customers with 3rd-Party integrations initiating transfers on behalf of their end users.
Show child attributes
Show child attributes
Optional client-specified metadata. Up to 6 key/value pairs may be returned. Each key and value must be less than or equal to 100 characters.
Show child attributes
Show child attributes
The time at which this FiatAccount record was most recently updated.
Was this page helpful?